=== debian/changelog ===
bedtools (2.26.0+dfsg-5) unstable; urgency=medium

  * Use "override_dh_install-indep" to prevent failures when
    architecture-independent packages are not built.  Closes: #876802

 -- Charles Plessy <plessy@debian.org>  Tue, 26 Sep 2017 22:42:08 +0900

bedtools (2.26.0+dfsg-4) unstable; urgency=medium

  [ Andreas Tille ]
  * Fix autopkgtest
  * Ignore failures in the split feature for the moment
    (Related to bug #747337 but hesitating to close it)
  * debhelper 10
  * d/watch: version=4

  [Steffen Moeller]
  * debian/upstream/metadata: Added references to registries
  * debian/copyright: Added Upstream-Name

  [ Charles Plessy ]
  * Distribute /usr/bin/groupBy again.
  * Conflict/Replace/Provide filo (which is being removed from Debian). 

 -- Charles Plessy <plessy@debian.org>  Mon, 25 Sep 2017 23:09:53 +0900

bedtools (2.26.0+dfsg-3) unstable; urgency=medium

  d6d3452 Sync with upstream repo at commit 6bf23c, closes: #831833.

 -- Charles Plessy <plessy@debian.org>  Sat, 05 Nov 2016 21:48:09 +0900

bedtools (2.26.0+dfsg-2) unstable; urgency=medium

  * Enable reproducible builds
    Closes: #834110

 -- Andreas Tille <tille@debian.org>  Fri, 12 Aug 2016 15:04:19 +0200

bedtools (2.26.0+dfsg-1) unstable; urgency=medium

  [ Charles Plessy ]
  854dcc2 Merge tag 'v2.26.0' into debian/unstable
  99afd11 Ensure the architecture-independent package can be built separately.
          Thanks to Santiago Vila <sanvila@debian.org> (Closes: #805998)

  [ Andreas Tille ]
  * Switch to default repository layout
  * Remove docs/content/images/tool-glyphs/barski_binding_site.png from upstream
    tarball since it is from
      Jothi et al, 2008, doi:10.1093/nar/gkn488
    since it is licensed under no-DFSG CC-BY-NC 2.0
  * Delete reference to removed image from Debian shipped doc
  * cme fix dpkg-control
  * cme fix dpkg-copyright
  * hardening += all
  * drop outdated Homepage field from debian/upstream/metadata
  * debian/control: Fix homepage

 -- Charles Plessy <plessy@debian.org>  Thu, 07 Jul 2016 13:58:08 +0900
